cURL
curl --request POST \
--url https://api.botpress.cloud/v1/tables/{sourceTableId}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-bot-id: <x-bot-id>' \
--data '
{
"tableName": "<string>",
"schemaOnly": true,
"factor": 123
}
'import requests
url = "https://api.botpress.cloud/v1/tables/{sourceTableId}/duplicate"
payload = {
"tableName": "<string>",
"schemaOnly": True,
"factor": 123
}
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-bot-id': '<x-bot-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({tableName: '<string>', schemaOnly: true, factor: 123})
};
fetch('https://api.botpress.cloud/v1/tables/{sourceTableId}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"table": {
"id": "<string>",
"name": "<string>",
"schema": {
"properties": {},
"additionalProperties": true,
"type": "object",
"$schema": "<string>",
"required": [
"<string>"
]
},
"factor": 1,
"frozen": true,
"tags": {},
"isComputeEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"rows": 123
}{
"table": {
"id": "<string>",
"name": "<string>",
"schema": {
"properties": {},
"additionalProperties": true,
"type": "object",
"$schema": "<string>",
"required": [
"<string>"
]
},
"factor": 1,
"frozen": true,
"tags": {},
"isComputeEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"rows": 123
}duplicateTable
Duplicates the table schema & content
POST
/
v1
/
tables
/
{sourceTableId}
/
duplicate
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Integration name
User Id
User Role
Path Parameters
The table's unique identifier
Body
application/json
Parameters for the duplication operation.
Was this page helpful?
⌘I